import { T } from '@contentlayer/utils/effect';
export const fieldCreatedBy = {
    getFieldDef: () => T.succeed({
        type: 'nested',
        nestedTypeName: 'User',
    }),
    getFieldData: ({ propertyData }) => {
        const user = propertyData;
        return T.succeed({
            type: user.type,
            name: user.name,
            avatarUrl: user.avatar_url,
            ...('person' in user
                ? {
                    email: user.person.email,
                }
                : {}),
            ...('bot' in user
                ? {
                    workspace: user.bot.workspace_name,
                }
                : {}),
        });
    },
};
//# sourceMappingURL=field-created-by.js.map