import { T } from '@contentlayer/utils/effect';
const isSingle = (databaseFieldTypeDef) => {
    return (databaseFieldTypeDef &&
        'type' in databaseFieldTypeDef &&
        databaseFieldTypeDef.type === 'relation' &&
        databaseFieldTypeDef.single);
};
export const fieldRelation = {
    getFieldDef: ({ databaseFieldTypeDef }) => {
        if (isSingle(databaseFieldTypeDef)) {
            return T.succeed({
                type: 'string',
            });
        }
        return T.succeed({
            type: 'list',
            of: { type: 'string' },
            default: [],
        });
    },
    getFieldData: ({ propertyData, databaseFieldTypeDef }) => {
        if (isSingle(databaseFieldTypeDef)) {
            return T.succeed(propertyData[0]?.id);
        }
        return T.succeed(propertyData.map((r) => r.id));
    },
};
//# sourceMappingURL=field-relation.js.map